Subject: Re: [PATCH] selftests/vm: fix: make check_config.sh executable

From: John Hubbard <[email-masked]>
Date: Fri, 2 Oct 2020 01:10:53 -0700

On 10/2/20 12:59 AM, Stephen Rothwell wrote:
> Hi John,
> 
> On Thu, 1 Oct 2020 23:48:11 -0700 John Hubbard <[email-masked]> wrote:
>>
>> commit 30fb9454ab23 ("selftests/vm: hmm-tests: remove the libhugetlbfs
>> dependency") created the new check_config.sh file without the execute
>> bits set. This is a problem because the Makefile runs it with "./", so
>> now "make" is failing in that directory.
>>
>> The posted patch [1] does seem to have it as an executable file, so I'm
>> not sure how this happened. But in any case, make check_config.sh
>> executable again, so that "make" in selftests/vm works once again.
> 
> The correct fix is to make sure that the Makefile runs it explicitly
> with a shell because is such a patch is applied with patch(1), the
> execute bit will not be preserved.
> 
> See e.g. in the top level Makefile:
> 
> 	$(CONFIG_SHELL) $(srctree)/scripts/gen_autoksyms.sh $@
> 

OK...we should also fix it anyway, seeing as how the run_vmtest.sh also needs
the execute bit re-set, yes?

So I guess I should send a patch that does:

* chmod +x on both run_vmtest.sh and check_config.sh, plus

* invoke check_config.sh via $(CONFIG_SHELL) from the Makefile.

Does that sound about right?

thanks,
-- 
John Hubbard
NVIDIA